zenilib: zenilib/jni/external/libvorbis/lib/res0.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
res0.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <ogg/ogg.h>`
`#include "vorbis/codec.h"`
`#include "codec_internal.h"`
`#include "registry.h"`
`#include "codebook.h"`
`#include "misc.h"`
`#include "os.h"`

Go to the source code of this file.

## Functions

static long ** | _01class (vorbis_block *vb, vorbis_look_residue *vl, int **in, int ch)
static int | _01forward (oggpack_buffer *opb, vorbis_block *vb, vorbis_look_residue *vl, int **in, int ch, long **partword, int(*encode)(oggpack_buffer *, int *, int, codebook *, long *), int submap)
static int | _01inverse (vorbis_block *vb, vorbis_look_residue *vl, float **in, int ch, long(*decodepart)(codebook *, float *, oggpack_buffer *, int))
static long ** | _2class (vorbis_block *vb, vorbis_look_residue *vl, int **in, int ch)
static int | _encodepart (oggpack_buffer *opb, int *vec, int n, codebook *book, long *acc)
static int | icount (unsigned int v)
static int | ilog (unsigned int v)
static int | local_book_besterror (codebook *book, int *a)
void | res0_free_info (vorbis_info_residue *i)
void | res0_free_look (vorbis_look_residue *i)
int | res0_inverse (vorbis_block *vb, vorbis_look_residue *vl, float **in, int *nonzero, int ch)
vorbis_look_residue * | res0_look (vorbis_dsp_state *vd, vorbis_info_residue *vr)
void | res0_pack (vorbis_info_residue *vr, oggpack_buffer *opb)
vorbis_info_residue * | res0_unpack (vorbis_info *vi, oggpack_buffer *opb)
long ** | res1_class (vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch)
int | res1_forward (oggpack_buffer *opb, vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch, long **partword, int submap)
int | res1_inverse (vorbis_block *vb, vorbis_look_residue *vl, float **in, int *nonzero, int ch)
long ** | res2_class (vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch)
int | res2_forward (oggpack_buffer *opb, vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch, long **partword, int submap)
int | res2_inverse (vorbis_block *vb, vorbis_look_residue *vl, float **in, int *nonzero, int ch)

## Variables

const vorbis_func_residue | residue0_exportbundle
const vorbis_func_residue | residue1_exportbundle
const vorbis_func_residue | residue2_exportbundle

## Function Documentation

static long** _01class | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int | ch
| ) |  |

static

Definition at line 414 of file res0.c.

References _vorbis_block_alloc(), vorbis_info_residue0::begin, vorbis_info_residue0::classmetric2, vorbis_info_residue0::end, vorbis_info_residue0::grouping, i, j, k, max, memset, and vorbis_info_residue0::partitions.

Referenced by res1_class().

static int _01forward | ( | oggpack_buffer * | opb,
|  | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int | ch,
|  | long ** | partword,
|  | int(*)(oggpack_buffer *, int *, int, codebook *, long *) | encode,
|  | int | submap
| ) |  |

static

Definition at line 536 of file res0.c.

References vorbis_info_residue0::begin, vorbis_info_residue0::end, vorbis_info_residue0::grouping, i, j, k, memset, NULL, vorbis_info_residue0::partitions, ret, vorbis_info_residue0::secondstages, and vorbis_book_encode().

Referenced by res1_forward(), and res2_forward().

static int _01inverse | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | float ** | in,
|  | int | ch,
|  | long(*)(codebook *, float *, oggpack_buffer *, int) | decodepart
| ) |  |

static

Definition at line 657 of file res0.c.

References _vorbis_block_alloc(), vorbis_info_residue0::begin, vorbis_info_residue0::end, vorbis_info_residue0::grouping, i, j, k, max, NULL, vorbis_block::opb, vorbis_info_residue0::partvals, vorbis_block::pcmend, vorbis_info_residue0::secondstages, and vorbis_book_decode().

Referenced by res0_inverse(), and res1_inverse().

static long** _2class | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int | ch
| ) |  |

static

Definition at line 481 of file res0.c.

References _vorbis_block_alloc(), vorbis_info_residue0::begin, vorbis_info_residue0::end, vorbis_info_residue0::grouping, i, j, k, memset, and vorbis_info_residue0::partitions.

Referenced by res2_class().

static int _encodepart | ( | oggpack_buffer * | opb,
|  | int * | vec,
|  | int | n,
|  | codebook * | book,
|  | long * | acc
| ) |  |

static

Definition at line 393 of file res0.c.

References codebook::dim, i, local_book_besterror(), and vorbis_book_encode().

Referenced by res1_forward(), and res2_forward().

static int icount | ( | unsigned int | v | ) |

static

Definition at line 164 of file res0.c.

References ret.

Referenced by res0_pack(), and res0_unpack().

static int ilog | ( | unsigned int | v | ) |

static

Definition at line 155 of file res0.c.

References ret.

Referenced by res0_look(), and res0_pack().

static int local_book_besterror | ( | codebook * | book,
|  | int * | a
| ) |  |

static

Definition at line 329 of file res0.c.

References codebook::c, codebook::delta, codebook::dim, e, codebook::entries, i, j, static_codebook::lengthlist, m, memcpy, codebook::minval, and codebook::quantvals.

Referenced by _encodepart().

void res0_free_info | ( | vorbis_info_residue * | i | ) |

Definition at line 69 of file res0.c.

References _ogg_free, and memset.

Referenced by res0_unpack().

void res0_free_look | ( | vorbis_look_residue * | i | ) |

Definition at line 77 of file res0.c.

References _ogg_free, codebook::entries, j, k, memset, and NULL.

int res0_inverse | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | float ** | in,
|  | int * | nonzero,
|  | int | ch
| ) |  |

Definition at line 717 of file res0.c.

References _01inverse(), i, and vorbis_book_decodevs_add().

vorbis_look_residue* res0_look | ( | vorbis_dsp_state * | vd,
|  | vorbis_info_residue * | vr
| ) |  |

Definition at line 268 of file res0.c.

References _ogg_calloc, _ogg_malloc, vorbis_info_residue0::booklist, vorbis_info::codec_setup, codec_setup_info::fullbooks, vorbis_info_residue0::groupbook, ilog(), j, k, vorbis_info_residue0::partitions, vorbis_info_residue0::secondstages, and vorbis_dsp_state::vi.

void res0_pack | ( | vorbis_info_residue * | vr,
|  | oggpack_buffer * | opb
| ) |  |

Definition at line 174 of file res0.c.

References vorbis_info_residue0::begin, vorbis_info_residue0::booklist, vorbis_info_residue0::end, vorbis_info_residue0::groupbook, vorbis_info_residue0::grouping, icount(), ilog(), j, oggpack_write(), vorbis_info_residue0::partitions, and vorbis_info_residue0::secondstages.

vorbis_info_residue* res0_unpack | ( | vorbis_info * | vi,
|  | oggpack_buffer * | opb
| ) |  |

Definition at line 204 of file res0.c.

References _ogg_calloc, vorbis_info_residue0::begin, codec_setup_info::book_param, vorbis_info_residue0::booklist, codec_setup_info::books, vorbis_info::codec_setup, static_codebook::dim, vorbis_info_residue0::end, static_codebook::entries, entries, vorbis_info_residue0::groupbook, vorbis_info_residue0::grouping, icount(), j, static_codebook::maptype, NULL, oggpack_read(), vorbis_info_residue0::partitions, vorbis_info_residue0::partvals, res0_free_info(), and vorbis_info_residue0::secondstages.

long** res1_class | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int * | nonzero,
|  | int | ch
| ) |  |

Definition at line 743 of file res0.c.

References _01class(), and i.

int res1_forward | ( | oggpack_buffer * | opb,
|  | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int * | nonzero,
|  | int | ch,
|  | long ** | partword,
|  | int | submap
| ) |  |

Definition at line 729 of file res0.c.

References _01forward(), _encodepart(), and i.

int res1_inverse | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | float ** | in,
|  | int * | nonzero,
|  | int | ch
| ) |  |

Definition at line 755 of file res0.c.

References _01inverse(), i, and vorbis_book_decodev_add().

long** res2_class | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int * | nonzero,
|  | int | ch
| ) |  |

Definition at line 767 of file res0.c.

References _2class(), and i.

int res2_forward | ( | oggpack_buffer * | opb,
|  | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | int ** | in,
|  | int * | nonzero,
|  | int | ch,
|  | long ** | partword,
|  | int | submap
| ) |  |

Definition at line 781 of file res0.c.

References _01forward(), _encodepart(), _vorbis_block_alloc(), i, j, k, and vorbis_block::pcmend.

int res2_inverse | ( | vorbis_block * | vb,
|  | vorbis_look_residue * | vl,
|  | float ** | in,
|  | int * | nonzero,
|  | int | ch
| ) |  |

Definition at line 805 of file res0.c.

References _vorbis_block_alloc(), vorbis_info_residue0::begin, vorbis_info_residue0::end, vorbis_info_residue0::grouping, i, k, max, NULL, vorbis_block::opb, vorbis_info_residue0::partvals, vorbis_block::pcmend, vorbis_info_residue0::secondstages, vorbis_book_decode(), and vorbis_book_decodevv_add().

## Variable Documentation

const vorbis_func_residue residue0_exportbundle

Initial value:
={
NULL,
&res0_unpack,
&res0_look,
&res0_free_info,
&res0_free_look,
NULL,
NULL,
&res0_inverse
}
NULL
#define NULL
Definition: ftobjs.h:61
res0_inverse
int res0_inverse(vorbis_block *vb, vorbis_look_residue *vl, float **in, int *nonzero, int ch)
Definition: res0.c:717
res0_free_look
void res0_free_look(vorbis_look_residue *i)
Definition: res0.c:77
res0_look
vorbis_look_residue * res0_look(vorbis_dsp_state *vd, vorbis_info_residue *vr)
Definition: res0.c:268
res0_unpack
vorbis_info_residue * res0_unpack(vorbis_info *vi, oggpack_buffer *opb)
Definition: res0.c:204
res0_free_info
void res0_free_info(vorbis_info_residue *i)
Definition: res0.c:69

Definition at line 858 of file res0.c.

const vorbis_func_residue residue1_exportbundle

Initial value:
={
&res0_pack,
&res0_unpack,
&res0_look,
&res0_free_info,
&res0_free_look,
&res1_class,
&res1_forward,
&res1_inverse
}
res1_forward
int res1_forward(oggpack_buffer *opb, vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch, long **partword, int submap)
Definition: res0.c:729
res0_pack
void res0_pack(vorbis_info_residue *vr, oggpack_buffer *opb)
Definition: res0.c:174
res0_free_look
void res0_free_look(vorbis_look_residue *i)
Definition: res0.c:77
res1_inverse
int res1_inverse(vorbis_block *vb, vorbis_look_residue *vl, float **in, int *nonzero, int ch)
Definition: res0.c:755
res1_class
long ** res1_class(vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch)
Definition: res0.c:743
res0_look
vorbis_look_residue * res0_look(vorbis_dsp_state *vd, vorbis_info_residue *vr)
Definition: res0.c:268
res0_unpack
vorbis_info_residue * res0_unpack(vorbis_info *vi, oggpack_buffer *opb)
Definition: res0.c:204
res0_free_info
void res0_free_info(vorbis_info_residue *i)
Definition: res0.c:69

Definition at line 869 of file res0.c.

const vorbis_func_residue residue2_exportbundle

Initial value:
={
&res0_pack,
&res0_unpack,
&res0_look,
&res0_free_info,
&res0_free_look,
&res2_class,
&res2_forward,
&res2_inverse
}
res2_forward
int res2_forward(oggpack_buffer *opb, vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch, long **partword, int submap)
Definition: res0.c:781
res2_inverse
int res2_inverse(vorbis_block *vb, vorbis_look_residue *vl, float **in, int *nonzero, int ch)
Definition: res0.c:805
res0_pack
void res0_pack(vorbis_info_residue *vr, oggpack_buffer *opb)
Definition: res0.c:174
res2_class
long ** res2_class(vorbis_block *vb, vorbis_look_residue *vl, int **in, int *nonzero, int ch)
Definition: res0.c:767
res0_free_look
void res0_free_look(vorbis_look_residue *i)
Definition: res0.c:77
res0_look
vorbis_look_residue * res0_look(vorbis_dsp_state *vd, vorbis_info_residue *vr)
Definition: res0.c:268
res0_unpack
vorbis_info_residue * res0_unpack(vorbis_info *vi, oggpack_buffer *opb)
Definition: res0.c:204
res0_free_info
void res0_free_info(vorbis_info_residue *i)
Definition: res0.c:69

Definition at line 880 of file res0.c.